package config

import (
	"bytes"
	"embed"
)

//go:embed defaults/config.yaml
var defaultConfigFS embed.FS

func getEmbeddedConfig() (*bytes.Reader, error) {
	data, err := defaultConfigFS.ReadFile("defaults/config.yaml")
	if err != nil {
		return nil, err
	}
	return bytes.NewReader(data), nil
}
